Clip.h File Reference

Header file for Clip class. More...

`#include <memory>`
`#include <string>`
`#include <QtGui/QImage>`
`#include "AudioResampler.h"`
`#include "ClipBase.h"`
`#include "Color.h"`
`#include "Enums.h"`
`#include "EffectBase.h"`
`#include "Effects.h"`
`#include "EffectInfo.h"`
`#include "Fraction.h"`
`#include "KeyFrame.h"`
`#include "ReaderBase.h"`
`#include "JuceHeader.h"`

Go to the source code of this file.

## Classes

class | openshot::Clip
| This class represents a clip (used to arrange readers on the timeline) More...
struct | openshot::CompareClipEffects

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for Clip class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Clip.h.